<?php
/*
     Copyright 2010  tobiasonline  (emaill : tobias@tobiasonline.se)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Plugin Name: Google Maps To
Plugin URI: http://www.tobiasonline.se/google-maps-to/
Description: Enter Latitude ang Longitude in Posts custom field and have a map drawn on that page. Google MAPS API key is inserted under Settings and Google Maps APi Key
Version: 1.0
Author: Tobias
Author URI: http://www.tobiasonline.se
*/


Function google_map($content) {
	global $post;
if(get_post_meta($post->ID, 'google_map_latlng', true)) {
	$google_map_latlng = get_post_meta($post->ID, 'google_map_latlng', true);
$googlemapskey = get_option("googlemapsapi");
print "$content";

    print <<<END
<br>
  <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=$googlemapskey"
      type="text/javascript"></script>

<script type="text/javascript">

    var map = null;
    var geocoder = null;
        var adress = null;

    function load() {
      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById("google_maps_to"));

END;
print "point = new GLatLng(". $google_map_latlng . ");\n";

                print <<<END
                map.setMapType(G_NORMAL_MAP);

        map.addControl(new GLargeMapControl());
        map.addControl(new GMapTypeControl());
        map.setMapType(G_DEFAULT_MAP_TYPES[2]);
        map.setCenter(point,14);
        var marker = new GMarker(point);
            map.addOverlay(marker);
}

    }


window.onload = load;
window.onunload = GUnload;


        </script>

  <div id="google_maps_to" style="width: 400px; height: 400px; border: #000000 0px solid; margin-top:0px;"></div></p>

END;




}
else {return $content;}

}

add_action('admin_menu', 'add_page');
add_action ( 'the_content', 'google_map');

function add_page() {
    add_options_page('Google MAPS API Key','Google Maps API Key', 'manage_options', 'Google_Maps_API_Key', 'settings_page');

}

function settings_page() {

    if (!current_user_can('manage_options'))
    {
      wp_die( __('You do not have sufficient permissions to access this page.') );
    }

    $opt_name = 'googlemapsapi';
    $hidden_field_name = 'mt_submit_hidden';
    $data_field_name = 'googlemapsapidata';

    $opt_val = get_option( $opt_name );

    if( isset($_POST[ $hidden_field_name ]) && $_POST[ $hidden_field_name ] == 'Y' ) {
        $opt_val = $_POST[ $data_field_name ];
        update_option( $opt_name, $opt_val );
?>
<div class="updated"><p><strong>Information changed</strong></p></div>
<?php

    }
    echo '<div class="wrap">';
    echo "<h2>Google MAPS API Key</h2>";
    ?>

<form name="form1" method="post" action="">
<input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
<p>Google MAPS API Key 
<input type="text" name="<?php echo $data_field_name; ?>" value="<?php echo $opt_val; ?>" size="120">
</p><hr />
<p class="submit">
<input type="submit" name="Submit" class="button-primary" value="Submit" />
</p>
</form>
</div>

<?php
 
}


?>
